Bug 142479 - CRASH: pressing return key after opening arrow styles floating window
Summary: CRASH: pressing return key after opening arrow styles floating window
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.5 target:7.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-05-25 11:01 UTC by Xisco Faulí
Modified: 2021-05-28 09:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-05-25 11:01:05 UTC
Steps to reproduce:
1. Open writer
2. Insert a line
3. In the toolbar, click on Arrow Styles
4. Press Return

-> Crash

Reproduced in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 42d2b2d55a27f11153ea1713737d93540a19211d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

and with GTK3
Comment 1 Xisco Faulí 2021-05-25 11:02:00 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=dd46727b99d4bb5135451aa7e5e1bdb197373843

author	Caolán McNamara <caolanm@redhat.com>	2016-04-05 15:27:38 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2016-04-05 20:24:51 +0100
commit	dd46727b99d4bb5135451aa7e5e1bdb197373843 (patch)
tree	47ee49810362bb405339682d27d36092d101cffc
parent	92d43df81e282d20c129b105b2c7300a312091eb (diff)
Resolves; tdf#87120 no keyboard navigation inside floating windows

Bisected with: bibisect-linux-64-5.2

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2021-05-25 14:20:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2b838b3b6aa5a014591e86b1736f82908076ff65

tdf#142479 on 'return' select the entry the cursor is in before calling Select

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-05-25 16:18:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/eb5b345172516b31ec43e226c242e536e93a3413

tdf#142479 on 'return' select the entry the cursor is in before calling Select

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2021-05-26 07:21:05 UTC
Verified in

Version: 7.1.5.0.0+ / LibreOffice Community
Build ID: bdcf20ada557ef85297869014e678743f41d0815
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 5 Commit Notification 2021-05-28 09:22:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-4":

https://git.libreoffice.org/core/commit/3b7c4b60121ccbe8bd0890651c2c4dc5b425d61c

tdf#142479 on 'return' select the entry the cursor is in before calling Select

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.